Package Details: openni-git 20130205-2

Git Clone URL: https://aur.archlinux.org/openni-git.git (read-only)
Package Base: openni-git
Description: The OpenNI Framework provides the interface for physical devices and for middleware components
Upstream URL: http://www.openni.org/
Licenses: GPL
Conflicts: openni
Provides: openni
Submitter: bugix
Maintainer: Sandmann
Last Packager: Sandmann
Votes: 19
Popularity: 0.000000
First Submitted: 2011-02-12 16:54
Last Updated: 2015-06-27 13:53

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

pallegro commented on 2012-05-17 21:07

git is currently broken, as there's a text file that should be a symlink (Platform/Linux/Build/Common)
The following patch to the PKGBUILD got it building for me and shouldn't break anything if they fix it upstream:

52,53d51
<
< if [ -f Common ]; then ln -fs `cat Common` Common; fi

as in
...
cd "${srcdir}/${_gitname}-build/Platform/Linux/Build"

if [ -f Common ]; then ln -fs `cat Common` Common; fi
...

Sandmann commented on 2012-03-19 00:32

@hauptmech, sorry, I missed your comment previously.

Thank you for the feedback. After the installation the message is printed and the samples are installed as well. However, many samples require additional modules and thus won't work.

Anonymous comment on 2012-03-16 06:24

Thanks for making this package.

As Hauptmech said, including the examples would have been good for testing.

hauptmech commented on 2011-12-20 18:15

thanks for putting this package together.

installing the NiViewer and Sample-* binaries would help with testing....

Printing a note 'don't forget to install a hardware driver such as sensorkinect-git' would help idiots like me ;)

Sandmann commented on 2011-12-20 11:00

Thanks. I included your fixes.

scjudd commented on 2011-12-19 16:38

Made the following changes to the PKGBUILD to get everything working:

http://paste.pocoo.org/show/523087/

Diff:

6c6
< pkgver=20111110
---
> pkgver=20111219
51c51
< make
---
> LDFLAGS+=' -lGL' make
55c55
< install -d -m755 "${pkgdir}/usr/"{lib,bin,include/ni/Linux}
---
> install -d -m755 "${pkgdir}/usr/"{lib,bin,include/ni/Linux-x86}
60c60
< install Linux-x86/* "${pkgdir}/usr/include/ni/Linux"
---
> install Linux-x86/* "${pkgdir}/usr/include/ni/Linux-x86"

scjudd commented on 2011-12-19 16:25

Made the following changes to the PKGBUILD to get everything working:

http://paste.pocoo.org/show/523087/

scjudd commented on 2011-12-19 15:44

falconindy on IRC solved my problem :)

#BUILD
- make
+ LDFLAGS+=' -lGL' make

scjudd commented on 2011-12-19 15:08

I'm getting the following error when attempting to compile:

/usr/bin/ld: ./x64-Release/Draw.o: undefined reference to symbol 'glDisable'
/usr/bin/ld: note: 'glDisable' is defined in DSO /usr/lib/libGL.so.1 so try adding it to the linker command line
/usr/lib/libGL.so.1: could not read symbols: Invalid operation
collect2: ld returned 1 exit status
make[1]: *** [../../../Bin/x64-Release/NiViewer] Error 1
make[1]: Leaving directory `/var/abs/local/yaourtbuild/openni-git/src/openni-build/Platform/Linux/Build/Samples/NiViewer'
make: *** [Samples/NiViewer] Error 2
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build openni-git.

I'm on x86_64.. not sure if the problem is specific to my architecture or not.

Sandmann commented on 2011-11-10 11:17

Thank you for the updated PKGBUILD. I've just integrated the changes and made the following adaptions:

* Choose correct directory on x86 and x86-64 machines
* The config directory is not set anymore